import 'package:deposits_ui_kit/deposits_ui_kit.dart';
import 'package:deposits_ui_kit_example/widgetbook/constants/constants.dart';
import 'package:flutter/material.dart';
import 'package:widgetbook/widgetbook.dart';

int groupValue = 0;
String imageUrl =
    "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250";

WidgetbookUseCase radioLabel(BuildContext context) {
  return WidgetbookUseCase(
      name: 'Radio/Basic',
      builder: (context) => Scaffold(
            appBar: DepAppbarWidget(
              titleWidget: const DepText(
                text: "Radio button",
                txtColor: Colors.white,
                font: 18,
              ),
              addBackButton: false,
              addCloseButton: false,
              backgroundColor: primaryColor,
            ),
            body: StatefulBuilder(builder: (context, setState) {
              return Container(
                  padding: const EdgeInsets.symmetric(
                    horizontal: 16,
                  ),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          // selectable labels
                          DepRadio(
                            size: DepSize.small,
                            value: 1,
                            inactiveBgColor: gray100,
                            inactiveBorderColor: gray300,
                            activeBorderColor: primaryColor,
                            type: context.knobs.list(
                                label: 'Circle Shaoe',
                                description: 'Radio Type',
                                initialOption: DepRadioType.basic,
                                labelBuilder: (value) {
                                  return getDepRadioTypeLabel(value);
                                },
                                options: depRadioTypeOptions),
                            groupValue: groupValue,
                            onChanged: (value) {
                              setState(() {
                                groupValue = value;
                              });
                            },
                          ),
                          horizontalSpaceSmall,
                          DepText(
                            text: 'Label',
                            txtColor: gray700,
                            font: 14,
                            fontFamily: preferedFont(
                                DepFontName.circularStd), //'Circular Std',
                            fntweight: FontWeight.w400,
                          )
                        ],
                      ),
                      verticalSpaceSmall,
                      Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          DepRadio(
                            size: DepSize.small,
                            value: 2,
                            inactiveBgColor: gray100,
                            inactiveBorderColor: gray300,
                            activeBorderColor: primaryColor,
                            type: context.knobs.list(
                                label: 'Circle Shaoe',
                                description: 'Radio Type',
                                initialOption: DepRadioType.basic,
                                labelBuilder: (value) {
                                  return getDepRadioTypeLabel(value);
                                },
                                options: depRadioTypeOptions),
                            groupValue: groupValue,
                            onChanged: (value) {
                              setState(() {
                                groupValue = value;
                              });
                            },
                          ),
                          horizontalSpaceSmall,
                          DepText(
                            text: 'Selected (Hover)',
                            txtColor: gray700,
                            font: 14,
                            fontFamily: preferedFont(
                                DepFontName.circularStd), //'Circular Std',
                            fntweight: FontWeight.w400,
                          )
                        ],
                      ),
                      verticalSpaceSmall,
                      // disabled radio buttons
                      Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          // selectable labels
                          DepRadio(
                            size: DepSize.small,
                            value: 3,
                            inactiveBgColor: gray100,
                            inactiveBorderColor: gray300,
                            activeBorderColor: primaryColor200,
                            activeBgColor: primaryColor200,
                            groupValue: groupValue,
                            type: DepRadioType.basic,
                            onChanged: (value) {
                              setState(() {
                                groupValue = value;
                              });
                            },
                          ),
                          horizontalSpaceSmall,
                          DepText(
                            text: 'Disabled',
                            txtColor: gray500,
                            font: 14,
                            fontFamily: preferedFont(
                                DepFontName.circularStd), //'Circular Std',
                            fntweight: FontWeight.w400,
                          )
                        ],
                      ),
                      verticalSpaceSmall,
                      Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          // selectable labels
                          DepRadio(
                            size: DepSize.small,
                            value: null,
                            inactiveBgColor: gray100,
                            inactiveBorderColor: gray200,
                            activeBorderColor: primaryColor,
                            type: DepRadioType.basic,
                            groupValue: groupValue,
                            onChanged: (value) {
                              // setState(() {
                              //   groupValue = value;
                              // });
                            },
                          ),
                          horizontalSpaceSmall,
                          DepText(
                            text: 'Label',
                            txtColor: gray500,
                            font: 14,
                            fontFamily: preferedFont(
                                DepFontName.circularStd), //'Circular Std',
                            fntweight: FontWeight.w400,
                          )
                        ],
                      ),
                    ],
                  ));
            }),
          ));
}

WidgetbookUseCase radioListTileLabel(BuildContext context) {
  return WidgetbookUseCase(
      name: 'Radio/ListTile',
      builder: (context) => Scaffold(
            appBar: DepAppbarWidget(
              titleWidget: const DepText(
                text: "Radio List Tile",
                txtColor: Colors.white,
                font: 18,
              ),
              addBackButton: false,
              addCloseButton: false,
              backgroundColor: primaryColor,
            ),
            body: Center(
              child: StatefulBuilder(builder: (context, setState) {
                return Container(
                  height: 80,
                  alignment: Alignment.center,
                  padding: const EdgeInsets.symmetric(
                    horizontal: 16,
                  ),
                  child: DepRadioListTile(
                    titleText: 'Arthur Shelby',
                    subTitleText: 'By order of the peaky blinders',
                    avatar: DepAvatar(
                      backgroundImage: NetworkImage(imageUrl),
                    ),
                    size: 25,
                    value: 0,
                    groupValue: groupValue,
                    onChanged: (value) {
                      setState(() {
                        groupValue = value;
                      });
                    },
                  ),
                );
              }),
            ),
          ));
}

WidgetbookUseCase checkLabel(BuildContext context) {
  bool isChecked = false;
  return WidgetbookUseCase(
      name: 'Checkbox/Basic',
      builder: (context) => Scaffold(
          appBar: DepAppbarWidget(
            titleWidget: const DepText(
              text: "Checkbox",
              txtColor: Colors.white,
              font: 18,
            ),
            addBackButton: false,
            addCloseButton: false,
            backgroundColor: primaryColor,
          ),
          body: StatefulBuilder(builder: (context, setState) {
            return Container(
              alignment: Alignment.center,
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  // uncheck
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        size: DepSize.small,
                        activeBgColor: primaryColor,
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeBorderColor: primaryColor,
                        type: DepCheckboxType.basic,
                        onChanged: (value) {
                          // setState(() {
                          //   isChecked = value;
                          // });
                        },
                        value: false,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: gray700,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.circularStd),
                              fntweight: FontWeight.w400,
                              text: 'Uncheck'))
                    ],
                  ),
                  verticalSpaceSmall,
                  // disabled check
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        size: DepSize.small,
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeBorderColor: primaryColor200,
                        activeBgColor: primaryColor200,
                        type: DepCheckboxType.basic,
                        onChanged: (value) {
                          // setState(() {
                          //   isChecked = value;
                          // });
                        },
                        value: true,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: gray700,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.circularStd),
                              fntweight: FontWeight.w400,
                              text: 'Disabled'))
                    ],
                  ),
                  verticalSpaceSmall,
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeBorderColor: context.knobs.list(
                            label: 'Active Background Color',
                            description: 'Select Active Background Color',
                            initialOption: primaryColor,
                            labelBuilder: (value) {
                              return getcheckLabelColorLabel(value);
                            },
                            options: checkLabelColorOptions),
                        size: context.knobs.list(
                            label: 'Checkbox Size',
                            description: 'Select Checkbox Size',
                            initialOption: DepSize.small,
                            labelBuilder: (value) {
                              return getDepSizeTypeLabel(value);
                            },
                            options: depSizeTypeOptions),
                        activeBgColor: context.knobs.list(
                            label: 'Active Background Color',
                            description: 'Select Active Background Color',
                            initialOption: primaryColor,
                            labelBuilder: (value) {
                              return getcheckLabelColorLabel(value);
                            },
                            options: checkLabelColorOptions),
                        type: context.knobs.list(
                            label: 'Check Type',
                            description: 'Select Check Type',
                            initialOption: DepCheckboxType.basic,
                            labelBuilder: (value) {
                              return getDepCheckboxTypeLabel(value);
                            },
                            options: depCheckboxTypeOptions),
                        onChanged: (value) {
                          setState(() {
                            isChecked = value;
                          });
                        },
                        value: isChecked,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: black,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.sfproText),
                              fntweight: FontWeight.w400,
                              text:
                                  'Get the latest promotion code here, You can save money every time for any kind of shopping!'))
                    ],
                  ),
                  verticalSpaceMedium,
                  DepButton(
                    buttonColor: black,
                    minWidth: double.infinity,
                    // isBusy: ready,
                    onPressed: () {},
                    title: 'Continue',
                    textColor: white,
                  )
                ],
              ),
            );
          })));
}

WidgetbookUseCase indeterminantCheckLabel(BuildContext context) {
  bool isChecked = false;
  return WidgetbookUseCase(
      name: 'Indeterminant/Basic',
      builder: (context) => Scaffold(
          appBar: DepAppbarWidget(
            titleWidget: const DepText(
              text: "Indeterminant",
              txtColor: Colors.white,
              font: 18,
            ),
            addBackButton: false,
            addCloseButton: false,
            backgroundColor: primaryColor,
          ),
          body: StatefulBuilder(builder: (context, setState) {
            return Container(
              alignment: Alignment.center,
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  // uncheck
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        size: DepSize.small,
                        activeBgColor: primaryColor,
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeBorderColor: primaryColor,
                        type: DepCheckboxType.basic,
                        activeIcon: const Icon(
                          Icons.remove,
                          size: 12,
                          color: white,
                        ),
                        onChanged: (value) {
                          // setState(() {
                          //   isChecked = value;
                          // });
                        },
                        value: false,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: gray700,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.circularStd),
                              fntweight: FontWeight.w400,
                              text: 'Indeterminant'))
                    ],
                  ),
                  verticalSpaceSmall,
                  // disabled check
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        size: DepSize.small,
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeBorderColor: primaryColor200,
                        activeBgColor: primaryColor200,
                        activeIcon: const Icon(
                          Icons.remove,
                          size: 12,
                          color: white,
                        ),
                        type: DepCheckboxType.basic,
                        onChanged: (value) {
                          // setState(() {
                          //   isChecked = value;
                          // });
                        },
                        value: true,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: gray700,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.circularStd),
                              fntweight: FontWeight.w400,
                              text: 'Indeterminant (checked)'))
                    ],
                  ),
                  verticalSpaceSmall,
                  Row(
                    mainAxisSize: MainAxisSize.min,
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      DepCheckbox(
                        inactiveBgColor: gray100,
                        inactiveBorderColor: gray300,
                        activeIcon: const Icon(
                          Icons.remove,
                          size: 12,
                          color: white,
                        ),
                        activeBorderColor: context.knobs.list(
                            label: 'Active Background Color',
                            description: 'Select Active Background Color',
                            initialOption: primaryColor,
                            labelBuilder: (value) {
                              return getcheckLabelColorLabel(value);
                            },
                            options: checkLabelColorOptions),
                        size: context.knobs.list(
                            label: 'Checkbox Size',
                            description: 'Select Checkbox Size',
                            initialOption: DepSize.small,
                            labelBuilder: (value) {
                              return getDepSizeTypeLabel(value);
                            },
                            options: depSizeTypeOptions),
                        activeBgColor: context.knobs.list(
                            label: 'Active Background Color',
                            description: 'Select Active Background Color',
                            initialOption: primaryColor,
                            labelBuilder: (value) {
                              return getcheckLabelColorLabel(value);
                            },
                            options: checkLabelColorOptions),
                        type: context.knobs.list(
                            label: 'Check Type',
                            description: 'Select Check Type',
                            initialOption: DepCheckboxType.basic,
                            labelBuilder: (value) {
                              return getDepCheckboxTypeLabel(value);
                            },
                            options: depCheckboxTypeOptions),
                        onChanged: (value) {
                          setState(() {
                            isChecked = value;
                          });
                        },
                        value: isChecked,
                      ),
                      horizontalSpaceSmall,
                      Expanded(
                          child: DepText(
                              txtColor: black,
                              font: 14,
                              fontFamily: preferedFont(DepFontName.sfproText),
                              fntweight: FontWeight.w400,
                              text:
                                  'Get the latest promotion code here, You can save money every time for any kind of shopping!'))
                    ],
                  ),
                  verticalSpaceMedium,
                  DepButton(
                    buttonColor: black,
                    minWidth: double.infinity,
                    // isBusy: ready,
                    onPressed: () {},
                    title: 'Continue',
                    textColor: white,
                  )
                ],
              ),
            );
          })));
}
