import 'package:flutter/material.dart';
import 'package:deposits_ui_kit/deposits_ui_kit.dart';

class DepTextTagTag extends StatelessWidget {
  final String text;
  final double? tagFontSize;
  final Color? backgroundColor;
  final Color? textColor;
  final bool isSolid;

  const DepTextTagTag({
    super.key,
    required this.text,
    this.tagFontSize,
    this.isSolid = false,
    required this.backgroundColor,
    required this.textColor,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 10.0, vertical: 10),
      decoration: ShapeDecoration(
        color: isSolid ? backgroundColor : backgroundColor,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(18),
        ),
      ),
      child: Row(
        mainAxisSize: MainAxisSize.min,
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Text(text,
              style: TextStyle(
                  fontSize: tagFontSize ?? 12.0,
                  fontWeight: FontWeight.w400,
                  fontFamily: preferedFont(DepFontName.sfproText),
                  color: isSolid ? white : textColor)),
        ],
      ),
    );
  }
}
